> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notifly.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve exported campaign events

> Use the `export_id` returned by the export request to retrieve results in pages of up to 1,000 records.

> [!NOTE]
>
> **Pagination**
>
> This API uses page-based pagination.
>
> * **Page number**: An integer starting at 0.
> * **Page size**: Up to 1,000 event records per page.
> * **Total pages**: Returned in the `total_page_count` field.
> * **Valid page range for nonempty results**: 0 to (total\_page\_count - 1).
>
> If the export has no data, request page 0 to receive an empty `data` array and a `total_page_count` of 0.

> [!NOTE]
>
> **Message data availability by channel**
>
> For channels other than push-notification, the message\_data column is available only for data from 2025-07-18 onward.
>
> The in-app-message and in-web-message channels also require the following SDK versions or later.
>
> * iOS SDK: 1.17.2
> * Android SDK: 1.18.1
> * React Native SDK: 3.10.1
> * JavaScript SDK: 2.17.4

### Message data examples

> [tab] text-message
>
> ```json
> {
>   "requestId": "Request ID",
>   "requestDate": "YYYY-MM-DD HH:mm:ss",
>   "templateId": "Template ID",
>   "title": "Message title",
>   "body": "Message body",
>   "sendNo": "07000000000",
>   "recipientNo": "01012345678",
>   "messageType": "MMS",
>   "countryCode": "82",
>   "adYn": "N",
>   "attachFileList": [
>     {
>       "fileId": 123456789,
>       "fileName": "image.jpg",
>       "filePath": "/path/to/image/",
>       "saveFileName": "saved.jpg",
>       "uploadType": "TEMPORARY"
>     }
>   ]
> }
> ```

> [tab] email
>
> ```json
> {
>   "title": "Email subject",
>   "body": {
>     "html": "<html><body><p>Email body</p></body></html>",
>     "text": "Content"
>   }
> }
> ```

> [tab] kakao-friendtalk
>
> ```json
> {
>   "plusFriendId": "@channel-name",
>   "senderKey": "Sender key",
>   "recipientNo": "01012345678",
>   "content": "Message content",
>   "buttons": [
>     {
>       "ordering": 1,
>       "type": "WL",
>       "name": "Button label",
>       "linkMo": "https://m.example.com",
>       "linkPc": "https://example.com",
>       "schemeIos": "",
>       "schemeAndroid": ""
>     }
>   ],
>   "isAd": true
> }
> ```

> [tab] kakao-alimtalk
>
> ```json
> {
>   "plusFriendId": "@channel-name",
>   "senderKey": "Sender key",
>   "recipientNo": "01012345678",
>   "templateCode": "Template code",
>   "content": "[Brand] Message body",
>   "templateExtra": "Additional information",
>   "buttons": [
>     {
>       "ordering": 1,
>       "type": "WL",
>       "name": "Button label",
>       "linkMo": "https://m.example.com",
>       "linkPc": "https://example.com"
>     }
>   ]
> }
> ```

> [tab] kakao-brand-message (basic)
>
> The fields included depend on `messageType`.
>
> ```json
> {
>   "messageType": "COMMERCE",
>   "content": "Products recommended for the sample customer.",
>   "imageUrl": "https://example.com/product.png",
>   "commerce": {
>     "title": "Recommended products",
>     "regularPrice": "10000",
>     "discountPrice": "9000",
>     "discountRate": "10"
>   },
>   "buttons": [
>     {
>       "name": "View product",
>       "linkType": "WL",
>       "linkMobile": "https://example.com/products/1"
>     }
>   ]
> }
> ```

> [tab] kakao-brand-message (free-form)
>
> ```json
> {
>   "chatBubbleType": "WIDE_ITEM_LIST",
>   "header": "Recommended products",
>   "attachment": {
>     "item": {
>       "list": [
>         {
>           "imgUrl": "https://mud-kage.kakao.com/example/product-1.jpg",
>           "urlMobile": "https://example.com/products/1"
>         },
>         {
>           "title": "Second product",
>           "imgUrl": "https://mud-kage.kakao.com/example/product-2.jpg",
>           "urlMobile": "https://example.com/products/2"
>         },
>         {
>           "title": "Third product",
>           "imgUrl": "https://mud-kage.kakao.com/example/product-3.jpg",
>           "urlMobile": "https://example.com/products/3"
>         }
>       ]
>     },
>     "button": [
>       {
>         "name": "See more",
>         "type": "WL",
>         "urlMobile": "https://example.com/products"
>       }
>     ]
>   }
> }
> ```

> [tab] in-app-message
>
> ```json
> {
>   "templateName": "Template name"
> }
> ```

> [tab] in-web-message
>
> ```json
> {
>   "templateName": "Template name"
> }
> ```

> [tab] web-push-notification
>
> ```json
> {
>   "notifly": {
>     "ti": "Title",
>     "bd": "Body",
>     "cid": "Campaign ID",
>     "mid": "Message ID",
>     "u": "https://your-link.com",
>     "ic": "https://your-icon.png",
>     "bg": "#ffffff",
>     "im": "https://your-image.jpg",
>     "sd": "/push-sound.mp3",
>     "tg": "notifly-push-notification",
>     "vb": [200, 100, 200],
>     "ri": false,
>     "data": {},
>     "ac": [
>       { "action": "click", "title": "Go to Link" },
>       { "action": "close", "title": "Close" }
>     ]
>   }
> }
> ```

> [tab] webhook
>
> ```json
> {
>   "url": "https://your.webhook.endpoint",
>   "method": "POST",
>   "headers": {
>     "Content-Type": "application/json"
>   },
>   "data": "{ \"key\": \"value\" }"
> }
> ```


## OpenAPI

````yaml /en/api-reference/openapi.yaml get /projects/{projectId}/campaign-event-data/exports/{exportId}/result
openapi: 3.0.3
info:
  title: Notifly API
  version: 1.0.0
  contact:
    email: contact@notifly.tech
servers:
  - url: https://api.notifly.tech
    description: Notifly API server
security: []
tags:
  - name: catalog
    x-group: Catalogs
paths:
  /projects/{projectId}/campaign-event-data/exports/{exportId}/result:
    get:
      summary: get-campaign-event-export-result
      operationId: getCampaignEventExportResult
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            type: string
          description: Project ID.
        - name: exportId
          in: path
          required: true
          schema:
            type: string
          description: ID returned by the export request.
        - name: page
          in: query
          required: true
          schema:
            type: integer
            minimum: 0
          description: >-
            Zero-based page number. For a nonempty export, use 0 through
            `total_page_count - 1`. For an empty export, request page 0.
      responses:
        '200':
          description: Page retrieved.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/CampaignEventData'
                  total_page_count:
                    type: integer
              example:
                status: success
                data:
                  - id: E252EB67-48E3-49DC-866D-F8C26161230D
                    user_id: user_12345
                    notifly_user_id: notifly_user_abcde
                    device_id: ios_device_98765
                    notifly_device_id: notifly_device_xyz
                    channel: push_notification
                    event_name: send_success
                    failure_reason: null
                    resource_title: 6월 신규 혜택 안내
                    resource_type: campaign
                    campaign_id: camp_202406_promo
                    experiment_group_name: A
                    user_journey_id: null
                    user_journey_node_id: null
                    time: '1749373994000000'
                    message_data:
                      title: 지금 확인하고 혜택 받기!
                      body: 6월 신규 회원님만을 위한 특별 이벤트 🎁
                      link: link://link/feed?id=1243
                    channel_metadata:
                      channel_subtype: image
                      brand_message_target: null
                total_page_count: 1
        '202':
          description: The export is still in progress.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                  message:
                    type: string
              example:
                status: processing
                message: Data is being generated.
        '404':
          description: The `projectId` or `exportId` does not exist.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                  message:
                    type: string
              example:
                status: not_found
                message: The specified project_id and export_id could not be found.
        '408':
          description: The request timed out.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: Timeout
        '416':
          description: The requested page number is invalid.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                  message:
                    type: string
              example:
                status: invalid_page
                message: The requested page does not exist.
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                  message:
                    type: string
              example:
                status: error
                message: An error occurred while processing the data.
      security:
        - bearerAuth: []
components:
  schemas:
    CampaignEventData:
      type: object
      properties:
        id:
          type: string
          description: The event ID.
        user_id:
          type: string
          description: The user ID.
        notifly_user_id:
          type: string
          description: The Notifly user ID.
        device_id:
          type: string
          description: The device ID.
        notifly_device_id:
          type: string
          description: The Notifly device ID.
        channel:
          type: string
          description: The delivery channel.
        event_name:
          type: string
          description: Event name.
        failure_reason:
          type: string
          nullable: true
          description: The failure reason. Included only on failure.
        resource_title:
          type: string
          description: The resource title.
        resource_type:
          type: string
          description: The resource type, either `campaign` or `user-journey`.
        campaign_id:
          type: string
          nullable: true
          description: Campaign ID.
        experiment_group_name:
          type: string
          nullable: true
          description: The A/B test group name.
        user_journey_id:
          type: string
          nullable: true
          description: User journey ID.
        user_journey_node_id:
          type: string
          nullable: true
          description: User journey node ID.
        time:
          type: string
          description: Event time as a timestamp in microseconds.
        message_data:
          type: object
          description: >-
            Message data. The structure varies by channel. See the message data
            examples above.
        channel_metadata:
          type: object
          description: >-
            Channel metadata includes `channel_subtype`, the message type, and
            `brand_message_target`, the Brand Message audience type. The latter
            is `null` for other channels.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Pass the token issued by `POST /authenticate` as a bearer token.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.